Bug 624354 - SELinux empêche l'accès en « read » à /usr/bin/freshclam on filesys
SELinux empêche l'accès en « read » à /usr/bin/freshclam on filesys
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
14
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:63261e577b5...
:
Depends On:
Blocks: F14Target
  Show dependency treegraph
 
Reported: 2010-08-16 02:35 EDT by Nicolas Mailhot
Modified: 2010-09-01 02:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.8.8-20.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 02:03:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2010-08-16 02:35:55 EDT
Résumé:

SELinux empêche l'accès en « read » à /usr/bin/freshclam on filesys

Description détaillée:

SELinux a refusé l'accès demandé par freshclam. Il n'est pas prévu que cet
accès soit requis par freshclam et cet accès peut signaler une tentative
d'intrusion. Il est également possible que cette version ou cette configuration
spécifique de l'application provoque cette demande d'accès supplémenta

Autoriser l'accès:

Vous pouvez créer un module de stratégie locale pour autoriser cet accès -
lisez la FAQ (http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Merci de
remplir un rapport de bogue.

Informations complémentaires:

Contexte source               system_u:system_r:freshclam_t:s0-s0:c0.c1023
Contexte cible                system_u:object_r:proc_t:s0
Objets du contexte            filesystems [ file ]
source                        freshclam
Chemin de la source           /usr/bin/freshclam
Port                          <Inconnu>
Hôte                         (supprimé)
Paquetages RPM source         clamav-update-0.96.2-1400.fc14
Paquetages RPM cible          
Politique RPM                 selinux-policy-3.8.8-14.fc14
Selinux activé               True
Type de politique             targeted
Mode strict                   Enforcing
Nom du plugin                 catchall
Nom de l'hôte                (supprimé)
Plateforme                    Linux (supprimé) 2.6.35.2-8.fc14.x86_64 #1 SMP Sun
                              Aug 15 08:38:26 UTC 2010 x86_64 x86_64
Compteur d'alertes            1
Première alerte              lun. 16 août 2010 08:02:12 CEST
Dernière alerte              lun. 16 août 2010 08:02:12 CEST
ID local                      b25f43a6-cac6-4845-b758-e8025df8748e
Numéros des lignes           

Messages d'audit bruts        

node=(supprimé) type=AVC msg=audit(1281938532.197:4736): avc:  denied  { read } for  pid=19174 comm="freshclam" name="filesystems" dev=proc ino=4026532012 scontext=system_u:system_r:freshclam_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=file

node=(supprimé) type=SYSCALL msg=audit(1281938532.197:4736): arch=c000003e syscall=2 success=no exit=-13 a0=7f90bee1fb20 a1=0 a2=1b6 a3=0 items=0 ppid=9143 pid=19174 auid=0 uid=492 gid=487 euid=492 suid=492 fsuid=492 egid=487 sgid=487 fsgid=487 tty=(none) ses=140 comm="freshclam" exe="/usr/bin/freshclam" subj=system_u:system_r:freshclam_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,freshclam,freshclam_t,proc_t,file,read
audit2allow suggests:

#============= freshclam_t ==============
allow freshclam_t proc_t:file read;
Comment 1 Miroslav Grepl 2010-08-16 03:57:44 EDT
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp
Comment 2 Daniel Walsh 2010-08-16 07:43:07 EDT
Fixed in selinux-policy-3.8.8-15.fc14
Comment 3 Fedora Update System 2010-08-24 23:11:23 EDT
selinux-policy-3.8.8-20.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14
Comment 4 Fedora Update System 2010-08-25 09:31:08 EDT
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14
Comment 5 Fedora Update System 2010-08-26 14:37:29 EDT
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14
Comment 6 Fedora Update System 2010-09-01 02:01:40 EDT
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.